Skip to main content
POST
Simulate Incoming Return Request Acceptance

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

wire_id
string
required

ID of the wire whose outgoing return request you want to simulate an acceptance of.

Pattern: ^wire_\w+$

Body

application/json
amount
integer<int64>
required

Amount to be returned, in the currency's minor units. Must be greater than zero and not exceed the original wire amount.

Required range: 1 <= x <= 990000000000
Example:

5000

currency_code
enum<string>
required

A three-letter currency code as defined in ISO 4217.

Available options:
USD
Example:

"USD"

Response

The updated wire object, with the outgoing return request now in accepted status and a return wire credited.

id
string

Unique identifier of the wire object.

Pattern: ^wire_\w+$
Example:

"wire_xyz123"

account_id
string

The ID of the Account object.

Pattern: ^account_\w+$
Example:

"account_xyz123"

account_number_id
string

The ID of the Lead Bank Account Number object.

Pattern: ^account_number_\w+$
Example:

"account_number_xyz123"

created_at
string<date-time>

ISO 8601 format timestamp representing when the wire object was created.

Example:

"2024-06-27T11:22:33Z"

updated_at
string<date-time>

ISO 8601 format timestamp representing when the wire object was last updated.

Example:

"2024-06-27T11:22:33Z"

settlement_date
string<date>

The ISO-8601 Datestamp indicating the wire settlement date based on the Fedwire's business day definition.

Example:

"2024-06-27"

direction
enum<string>

Who is initiating the transaction.

outgoing: You are sending a wire transaction to a counterparty. incoming: You are receiving an wire transaction from a counterparty.

Available options:
outgoing,
incoming
Example:

"incoming"

type
enum<string>

Indicates the type of wire message that the object represents.

Available options:
transfer,
return
Example:

"transfer"

status
enum<string>

The current status of the wire object.

Available options:
created,
scheduled,
processing,
posted,
under_review,
rejected,
canceled,
cancel_pending
Example:

"created"

amounts
object
debtor
object

Details of the debtor sending funds.

debtor_agent
object

Details of the financial institution where the debtor (payer) holds their account. This object may be absent if the instructing agent does not provide this information.

instructing_agent
object

The financial institution that transmitted the payment through Fedwire. In some cases, this may differ from the bank where the account is held. This object will always be populated.

instructed_agent
object

The financial institution that received the payment through Fedwire. This may not always be the bank where the recipient's account is held. This object will always be populated.

creditor_agent
object

Details of the financial institution where the creditor (payee) holds their account. This object may be absent if the instructing agent does not provide this information.

creditor
object

Details of the creditor receiving funds.

ultimate_debtor
object

The ultimate party on whose behalf the payment is made, if different from the debtor.

ultimate_creditor
object

The ultimate party to which the payment is intended, if different from the creditor.

other_agents
object

Details of any other agents involved in the wire transfer.

payment_identifiers
object

Wire payment identifiers.

remittance_details
object

Wire remittance details.

charges
object

Information about any charges assessed during wire transfer processing.

Related wire objects.

return
object
rejection
object
return_requests
object[]

Return requests associated with this wire.

metadata
object

A set of key-value pairs that can be used to store additional information related to this object.